vdr vnsi server ebuild

  • Hallo,


    hat jemand ein funktionierendes vnsi server ebuild für mich. Das hier aus dem Forum geht nicht mehr:


    media-plugins/vdr-vnsiserver-9999 from x-myoverlay
    * Compiling against
    * vdr-2.0.2 [API version 2.0.0]
    >>> Unpacking source...
    * git.eclass is deprecated.
    * Please update your ebuilds to use git-2 instead. For details, see
    * http://archives.gentoo.org/gen…80845819ae3501fb157e9.xml
    * GIT update -->
    * repository: https://github.com/opdenkamp/xbmc.git
    * at the commit: 64e2833d20d018b81aec075266ab2ed23f45a7dd
    * branch: master
    * storage directory: "/usr/portage/distfiles/git-src/xbmc"
    Cloning into '/var/tmp/portage/media-plugins/vdr-vnsiserver-9999/work/vnsiserver-9999'...
    done.
    >>> Unpacked to /var/tmp/portage/media-plugins/vdr-vnsiserver-9999/work/vnsiserver-9999
    mv: cannot stat 'vnsiserver-9999/xbmc/pvrclients/vdr-vnsi/vdr-plugin-vnsiserver': No such file or directory
    >>> Source unpacked in /var/tmp/portage/media-plugins/vdr-vnsiserver-9999/work
    >>> Preparing source in /var/tmp/portage/media-plugins/vdr-vnsiserver-9999/work ...
    /var/tmp/portage/media-plugins/vdr-vnsiserver-9999/temp/environment: line 510: pushd: /var/tmp/portage/media-plugins/vdr-vnsiserver-9999/work/vdr-plugin-vnsiserver/: No such file or directory
    /var/tmp/portage/media-plugins/vdr-vnsiserver-9999/temp/environment: line 542: popd: directory stack empty
    /var/tmp/portage/media-plugins/vdr-vnsiserver-9999/temp/environment: line 3711: cd: /var/tmp/portage/media-plugins/vdr-vnsiserver-9999/work/vdr-plugin-vnsiserver/: No such file or directory
    * ERROR: media-plugins/vdr-vnsiserver-9999 failed (prepare phase):
    * Could not change to plugin-source-directory!
    *
    * Call stack:
    * ebuild.sh, line 93: Called src_prepare
    * environment, line 2878: Called vdr-plugin_src_prepare
    * environment, line 3670: Called vdr-plugin_src_util 'prepare'
    * environment, line 3705: Called vdr-plugin_src_util 'add_local_patch' 'patchmakefile' 'i18n'
    * environment, line 3711: Called die
    * The specific snippet of code:
    * cd "${S}" || die "Could not change to plugin-source-directory!";